"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Messages = exports.Events = exports.CssValues = exports.CssProperties = exports.Selectors = void 0;
var Selectors = {
  DATA_COLLAPSIBLE: "data-collapsible",
  DATA_VISIBLE: "data-visible",
  DATA_TARGET: "data-target",
  DATA_PARENT: "data-parent",
  ARIA_EXPANDED: "aria-expanded",
  ARIA_CONTROLS: "aria-controls",
  ARIA_HIDDEN: "aria-hidden",
  ARIA_LABELLEDBY: "aria-labelledby",
  TABINDEX: "tabindex",
  IS_READY_CLASS: "is-ready",
  IS_VISIBLE_CLASS: "is-visible"
};
exports.Selectors = Selectors;
var CssProperties = {
  HEIGHT: "height",
  VISIBILITY: "visibility"
};
exports.CssProperties = CssProperties;
var CssValues = {
  AUTO: "auto",
  HIDDEN: "hidden",
  VISIBLE: "visible"
};
exports.CssValues = CssValues;
var Events = {
  CLICK: "click",
  TRANSITIONEND: "transitionend"
};
exports.Events = Events;
var Messages = {
  NO_COLLAPSIBLE_ID_ERROR: "Could not initialize collapsible; you must include a value for the 'data-collapsible' attribute.",
  NO_TRIGGER_ERROR: function NO_TRIGGER_ERROR(id) {
    return "Could not find collapsible trigger with [data-target='".concat(id, "']; you can't have a collapsible without a trigger.");
  },
  NO_TRIGGER_ID_ERROR: function NO_TRIGGER_ID_ERROR(id) {
    return "Could not find id on collapsible trigger with [data-target='".concat(id, "'].");
  },
  NO_CONTENT_ERROR: function NO_CONTENT_ERROR(id) {
    return "Could not find collapsible content with id '".concat(id, "'; you can't have a collapsible without content.");
  }
};
exports.Messages = Messages;
//# sourceMappingURL=constants.js.map