"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFocusableElements = exports.queryAll = void 0;

var _constants = require("./constants");

var queryAll = function queryAll(selector) {
  var parent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document;
  return Array.apply(null, parent.querySelectorAll(selector));
};

exports.queryAll = queryAll;

var getFocusableElements = function getFocusableElements(selectorString) {
  var matchers = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _constants.Selectors.FOCUSABLE_TAGS;
  var focusables = matchers.map(function (selector) {
    return "".concat(selectorString, " ").concat(selector).concat(_constants.Selectors.NOT_VISUALLY_HIDDEN_CLASS);
  }).join(", ");
  return queryAll(focusables);
};

exports.getFocusableElements = getFocusableElements;
//# sourceMappingURL=dom.js.map