"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.focusOnce = void 0;

var _constants = require("./constants");

var focusOnce = function focusOnce(element) {
  var handleBlur = function handleBlur(_ref) {
    var target = _ref.target;
    target.removeAttribute(_constants.Selectors.TABINDEX);
    target.removeEventListener(_constants.Events.BLUR, handleBlur);
  };

  element.setAttribute(_constants.Selectors.TABINDEX, "-1");
  element.focus();
  element.addEventListener(_constants.Events.BLUR, handleBlur);
};

exports.focusOnce = focusOnce;
//# sourceMappingURL=focus-once.js.map