"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.createFocusTrap = exports.createFocusRing = exports.Tooltips = exports.Modals = exports.Dropdowns = exports.Collapsibles = void 0;

var _collapsible = _interopRequireDefault(require("./collapsible"));

var _dropdown = _interopRequireDefault(require("./dropdown"));

var _modal = _interopRequireDefault(require("./modal"));

var _tooltip = _interopRequireDefault(require("./tooltip"));

var _helpers = require("./helpers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Collapsibles = new _collapsible.default();
exports.Collapsibles = Collapsibles;
var Dropdowns = new _dropdown.default();
exports.Dropdowns = Dropdowns;
var Modals = new _modal.default();
exports.Modals = Modals;
var Tooltips = new _tooltip.default();
exports.Tooltips = Tooltips;
var createFocusRing = _helpers.createFocusRing;
exports.createFocusRing = createFocusRing;
var createFocusTrap = _helpers.createFocusTrap;
exports.createFocusTrap = createFocusTrap;
var Undernet = {
  Modals: Modals,
  Collapsibles: Collapsibles,
  Dropdowns: Dropdowns,
  Tooltips: Tooltips,
  createFocusTrap: _helpers.createFocusTrap,
  createFocusRing: _helpers.createFocusRing
};
var focusRing = Undernet.createFocusRing();

Undernet.start = function (id) {
  var enableFocusRing = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  Undernet.Modals.start(id);
  Undernet.Collapsibles.start(id);
  Undernet.Dropdowns.start(id);
  Undernet.Tooltips.start(id);
  if (enableFocusRing) focusRing.start();
};

Undernet.stop = function (id) {
  var disableFocusRing = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  Undernet.Modals.stop(id);
  Undernet.Collapsibles.stop(id);
  Undernet.Dropdowns.stop(id);
  Undernet.Tooltips.stop(id);
  if (disableFocusRing) focusRing.stop();
};

var _default = Undernet;
exports.default = _default;
//# sourceMappingURL=index.js.map