"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Messages = exports.Events = exports.CssProperties = exports.Selectors = exports.KeyCodes = void 0;
var KeyCodes = {
  ESCAPE: 27
};
exports.KeyCodes = KeyCodes;
var Selectors = {
  DATA_MODAL: "data-modal",
  DATA_TARGET: "data-target",
  DATA_VISIBLE: "data-visible",
  DATA_CLOSE: "data-close",
  DATA_PARENT: "data-parent",
  ARIA_HIDDEN: "aria-hidden",
  ARIA_MODAL: "aria-modal",
  ROLE: "role",
  TABINDEX: "tabindex",
  NO_SCROLL_CLASS: "no-scroll",
  IS_VISIBLE_CLASS: "is-visible",
  OVERLAY_OPEN: "overlay-open"
};
exports.Selectors = Selectors;
var CssProperties = {
  PADDING_RIGHT: "paddingRight",
  PADDING_LEFT: "paddingLeft"
};
exports.CssProperties = CssProperties;
var Events = {
  KEYDOWN: "keydown",
  CLICK: "click",
  RESIZE: "resize",
  BLUR: "blur",
  TRANSITIONEND: "transitionend"
};
exports.Events = Events;
var Messages = {
  NO_TRIGGER_ERROR: function NO_TRIGGER_ERROR(id) {
    return "Could not find modal trigger with id ".concat(id, ".");
  },
  NO_ID_ERROR: "Could not detect an id on your [data-modal] element. " + "Please add a value matching the modal trigger's [data-parent] attribute.",
  NO_MODAL_DIALOG_ERROR: function NO_MODAL_DIALOG_ERROR(id) {
    return "Could not find element with attribute [data-parent='".concat(id, "'].");
  }
};
exports.Messages = Messages;
//# sourceMappingURL=constants.js.map