"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Messages = exports.Events = exports.CssProperties = exports.Selectors = exports.KeyCodes = void 0;
var KeyCodes = {
  ESCAPE: 27
};
exports.KeyCodes = KeyCodes;
var Selectors = {
  DATA_TOOLTIP: "data-tooltip",
  DATA_VISIBLE: "data-visible",
  DATA_TARGET: "data-target",
  ROLE: "role",
  ARIA_DESCRIBEDBY: "aria-describedby",
  DROP_INLINE_START_CLASS: "is-drop-inline-start",
  DROP_INLINE_END_CLASS: "is-drop-inline-end",
  OVERLAY_OPEN: "overlay-open"
};
exports.Selectors = Selectors;
var CssProperties = {
  HEIGHT: "height",
  WIDTH: "width",
  TOP: "top",
  LEFT: "left"
};
exports.CssProperties = CssProperties;
var Events = {
  CLICK: "click",
  MOUSEOVER: "mouseover",
  MOUSEOUT: "mouseout",
  FOCUS: "focus",
  BLUR: "blur",
  KEYDOWN: "keydown"
};
exports.Events = Events;
var Messages = {
  NO_ID_ERROR: "Could not find tooltip id.",
  NO_TRIGGER_ERROR: function NO_TRIGGER_ERROR(id) {
    return "Could not find a tooltip trigger with attribute [data-target='".concat(id, "'].");
  },
  NO_TOOLTIP_ERROR: function NO_TOOLTIP_ERROR(id) {
    return "Could not find a tooltip with id '".concat(id, "'.");
  }
};
exports.Messages = Messages;
//# sourceMappingURL=constants.js.map