import { Events, Selectors } from "./constants";
import { isBrowserEnv } from "./is-browser-env";
export var createFocusRing = function createFocusRing() {
  if (!isBrowserEnv) return;
  var listeningForKeydown;

  var listenForKeyboard = function listenForKeyboard() {
    document.body.classList.add(Selectors.KEYBOARD_CLASS);
    document.removeEventListener(Events.KEYDOWN, listenForKeyboard);
    document.addEventListener(Events.CLICK, listenForClick);
    listeningForKeydown = false;
  };

  var listenForClick = function listenForClick() {
    document.body.classList.remove(Selectors.KEYBOARD_CLASS);
    document.removeEventListener(Events.CLICK, listenForClick);
    document.addEventListener(Events.KEYDOWN, listenForKeyboard);
    listeningForKeydown = true;
  };

  return {
    start: function start() {
      document.addEventListener(Events.KEYDOWN, listenForKeyboard);
    },
    stop: function stop() {
      if (listeningForKeydown) {
        document.removeEventListener(Events.KEYDOWN, listenForKeyboard);
      } else {
        document.body.classList.remove(Selectors.KEYBOARD_CLASS);
        document.removeEventListener(Events.CLICK, listenForClick);
      }
    }
  };
};
//# sourceMappingURL=create-focus-ring.js.map