export function throttle(callback, limit) {
  var timeout = false;

  function clear() {
    timeout = false;
  }

  return function () {
    if (timeout) return;
    callback.apply(this, arguments);
    timeout = true;
    setTimeout(clear, limit);
  };
}
//# sourceMappingURL=throttle.js.map