import _Collapsible from "./collapsible";
import _Dropdown from "./dropdown";
import _Modals from "./modal";
import _Tooltips from "./tooltip";
import { createFocusRing as _createFocusRing, createFocusTrap as _createFocusTrap } from "./helpers";
export var Collapsibles = new _Collapsible();
export var Dropdowns = new _Dropdown();
export var Modals = new _Modals();
export var Tooltips = new _Tooltips();
export var createFocusRing = _createFocusRing;
export var createFocusTrap = _createFocusTrap;
var Undernet = {
  Modals: Modals,
  Collapsibles: Collapsibles,
  Dropdowns: Dropdowns,
  Tooltips: Tooltips,
  createFocusTrap: _createFocusTrap,
  createFocusRing: _createFocusRing
};
var focusRing = Undernet.createFocusRing();

Undernet.start = function (id) {
  var enableFocusRing = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  Undernet.Modals.start(id);
  Undernet.Collapsibles.start(id);
  Undernet.Dropdowns.start(id);
  Undernet.Tooltips.start(id);
  if (enableFocusRing) focusRing.start();
};

Undernet.stop = function (id) {
  var disableFocusRing = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  Undernet.Modals.stop(id);
  Undernet.Collapsibles.stop(id);
  Undernet.Dropdowns.stop(id);
  Undernet.Tooltips.stop(id);
  if (disableFocusRing) focusRing.stop();
};

export default Undernet;
//# sourceMappingURL=index.js.map